Delete SAML configuration
- DELETE /platform/configuration/security/realms/saml/{realm_id}
Deletes a single SAML configuration.
Path Parameters
-
realm_idstringrequired -
The Elasticsearch Security realm identifier.
Query Parameters
-
versionstring When specified, checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)
Responses
The SAML configuration was successfully deleted
Response Type: EmptyResponse
The realm specified by {realm_id} cannot be found. (code: security_realm.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
There is a version conflict. (code: security_realm.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response